package app.mealsmadeeasy.api.auth;

import lombok.Getter;

@Getter
public class LoginException extends Exception {

    private final LoginExceptionReason reason;

    public LoginException(LoginExceptionReason reason, String message) {
        super(message);
        this.reason = reason;
    }

    public LoginException(LoginExceptionReason reason, Throwable cause) {
        super(cause);
        this.reason = reason;
    }

}
